## privacybrowser 0.4

=== CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# Set the minimum CMake version.
cmake_minimum_required(VERSION 3.16)

# Name the project.
project(privacybrowser)

# Set the minimum framework versions.
set(QT_MIN_VERSION "5.15.0")
set(KDE_FRAMEWORKS_MIN_VERSION "5.83.0")

# Load the Extra CMake Modules that correspond to the KDE Frameworks version.
find_package(ECM ${KDE_FRAMEWORKS_MIN_VERSION} REQUIRED NO_MODULE)

# Set the CMake module path.
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

# Include the KDE modules.
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

# Include the Extra CMake Modules.
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)

# Load the Qt components.
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    PrintSupport
    Sql
    WebEngineCore
    WebEngineWidgets
    Widgets
)

# Load the KDE Frameworks components.
find_package(KF5 ${KDE_FRAMEWORKS_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    Notifications
    KIO
    XmlGui
)

# Add the subdirectories.
add_subdirectory(doc)
add_subdirectory(src)

# Install the PO files.  These should be enabled once there are PO translations.
#ki18n_install(po)
#kdoctools_install(po)

# Generate a summary.
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.

# Create the executable and add the resources.
add_executable(privacybrowser resources.qrc)

# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    main.cpp
)

# Add the Qt logging category.  This will create the `debug.h` header file.
ecm_qt_declare_logging_category(privacybrowser
    HEADER debug.h
    IDENTIFIER PRIVACYBROWSER
    CATEGORY_NAME "privacybrowser"
)

# Include the KConfig controller file.
kconfig_add_kcfg_files(privacybrowser settings/Settings.kcfgc)

# Use KDE Frameworks to handle internationalization of the following UI files.
ki18n_wrap_ui(privacybrowser
    uis/AddOrEditCookieDialog.ui
    uis/AddTabWidget.ui
    uis/CookiesDialog.ui
    uis/DomainSettingsDialog.ui
    uis/DurableCookiesDialog.ui
    uis/SaveDialog.ui
    uis/SettingsGeneral.ui
    uis/SettingsPrivacy.ui
    uis/SettingsSpellCheck.ui
    uis/TabWidget.ui
)

# Link the following libraries.
target_link_libraries(privacybrowser
    Qt5::Core
    Qt5::Gui
    Qt5::Sql
    Qt5::PrintSupport
    Qt5::Widgets
    Qt5::WebEngineCore
    Qt5::WebEngineWidgets
    KF5::Completion
    KF5::ConfigWidgets
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::DocTools
    KF5::I18n
    KF5::Notifications
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::XmlGui
)

# Add the subdirectories.
add_subdirectory(databases)
add_subdirectory(delegates)
add_subdirectory(dialogs)
add_subdirectory(filters)
add_subdirectory(helpers)
add_subdirectory(interceptors)
add_subdirectory(ui.rcs)
add_subdirectory(widgets)
add_subdirectory(windows)

# Install Privacy Browser using the default KDE arguments.
install(TARGETS privacybrowser ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# Install Privacy Browser according to the instructions in the desktop file, specifying the permissions.
install(PROGRAMS com.stoutner.privacybrowser.desktop DESTINATION ${KDE_INSTALL_APPDIR} PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)

# Install the metadata file.
install(FILES com.stoutner.privacybrowser.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# Install the notifyrc file.
install(FILES privacybrowser.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

# Install the standard icons.
ecm_install_icons(ICONS icons/sc-apps-privacybrowser.svg DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/16-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/22-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/24-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/32-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/48-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/64-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/128-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/256-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/512-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/1024-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})

# Install the symbolic icon (used by Gnome).
install(FILES icons/privacybrowser-symbolic.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/symbolic/apps/)

=== src/databases/CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    CookiesDatabase.cpp
    DomainsDatabase.cpp
)

=== src/dialogs/CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    AddOrEditCookieDialog.cpp
    CookiesDialog.cpp
    DomainSettingsDialog.cpp
    DurableCookiesDialog.cpp
    SaveDialog.cpp
)

=== src/helpers/CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    SearchEngineHelper.cpp
    UserAgentHelper.cpp
)

=== src/widgets/CMakeLists.txt ===
# Copyright © 2022 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    TabWidget.cpp
    PrivacyWebEngineView.cpp
)

=== debian/changelog ===
privacybrowser (0.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:  Add hunspell-ko to recommends as it now ships .bdic
    files.

 -- Soren Stoutner <soren@stoutner.com>  Tue, 13 Jun 2023 11:26:53 -0700

privacybrowser (0.3-1) experimental; urgency=low

  * New upstream release.
  * Add debian/tests.

 -- Soren Stoutner <soren@stoutner.com>  Mon, 08 May 2023 15:28:54 -0700

privacybrowser (0.2-1) experimental; urgency=low

  * New upstream release.
  * debian/control:  Add depends on khelpcenter so that the Handbook
    works on non-KDE installations.

 -- Soren Stoutner <soren@stoutner.com>  Mon, 17 Apr 2023 12:45:06 -0700

privacybrowser (0.1-1) experimental; urgency=low

  * Initial release (closes: #1031755).

 -- Soren Stoutner <soren@stoutner.com>  Sat, 11 Mar 2023 13:58:11 -0700

=== debian/control ===
Source: privacybrowser
Maintainer: Soren Stoutner <soren@stoutner.com>
Section: web
Priority: optional
# pkg-kde-tools is required to use `--with kf5` in debian/rules.
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 extra-cmake-modules,
 libkf5completion-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5crash-dev,
 libkf5dbusaddons-dev,
 libkf5doctools-dev,
 libkf5i18n-dev,
 libkf5kio-dev,
 libkf5notifications-dev,
 libkf5xmlgui-dev,
 pkg-kde-tools,
 qtbase5-dev,
 qtwebengine5-dev
Standards-Version: 4.6.2
Homepage: https://www.stoutner.com/privacy-browser-pc/
Vcs-Git: https://salsa.debian.org/sorenstoutner/privacybrowser.git
Vcs-Browser: https://salsa.debian.org/sorenstoutner/privacybrowser
Rules-Requires-Root: no

Package: privacybrowser
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 khelpcenter
Suggests:
 hunspell-ca,
 hunspell-de-at,
 hunspell-de-ch,
 hunspell-de-de,
 hunspell-eu,
 hunspell-ko,
 hunspell-lv
Description: web browser that respects your privacy
 Privacy Browser is a web browser based on Qt WebEngine with a focus on privacy
 and security. Features like JavaScript and cookies are disabled by default but
 are easy to automatically enable on-the-fly or by domain.

## privacybrowser 0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,6 +42,15 @@
 include(ECMQtDeclareLoggingCategory)
 include(FeatureSummary)
 
+# Include the Position Independent Executable checker.  <https://cmake.org/cmake/help/latest/policy/CMP0083.html>
+include(CheckPIESupported)
+
+# Check to see if Position Independent Executable is supported in the current linker and environment.
+check_pie_supported()
+
+# Add the Position Independent Executable compiler flag if it is supported in the current linker and environment.  <https://cmake.org/cmake/help/latest/variable/CMAKE_POSITION_INDEPENDENT_CODE.html>
+set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)
+
 # Load the Qt components.
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -35,11 +35,16 @@
 
 # Use KDE Frameworks to handle internationalization of the following UI files.
 ki18n_wrap_ui(privacybrowser
+    uis/AddBookmarkDialog.ui
+    uis/AddFolderDialog.ui
     uis/AddOrEditCookieDialog.ui
     uis/AddTabWidget.ui
+    uis/BookmarksDialog.ui
     uis/CookiesDialog.ui
     uis/DomainSettingsDialog.ui
     uis/DurableCookiesDialog.ui
+    uis/EditBookmarkDialog.ui
+    uis/EditFolderDialog.ui
     uis/SaveDialog.ui
     uis/SettingsGeneral.ui
     uis/SettingsPrivacy.ui

=== src/delegates/CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    ViewOnlyDelegate.cpp
)

=== src/dialogs/CMakeLists.txt ===
--- 
+++ 
@@ -18,9 +18,14 @@
 
 # List the sources to include in the executable.
 target_sources(privacybrowser PRIVATE
+    AddBookmarkDialog.cpp
+    AddFolderDialog.cpp
     AddOrEditCookieDialog.cpp
+    BookmarksDialog.cpp
     CookiesDialog.cpp
     DomainSettingsDialog.cpp
     DurableCookiesDialog.cpp
+    EditBookmarkDialog.cpp
+    EditFolderDialog.cpp
     SaveDialog.cpp
 )

=== src/helpers/CMakeLists.txt ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 # List the sources to include in the executable.
 target_sources(privacybrowser PRIVATE
+    FolderHelper.cpp
     SearchEngineHelper.cpp
     UserAgentHelper.cpp
 )

=== src/interceptors/CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    UrlRequestInterceptor.cpp
)

=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2022 Soren Stoutner <soren@stoutner.com>.
+# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
 #
 # This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
 #
@@ -18,6 +18,7 @@
 
 # List the sources to include in the executable.
 target_sources(privacybrowser PRIVATE
+    DraggableTreeView.cpp
+    PrivacyWebEngineView.cpp
     TabWidget.cpp
-    PrivacyWebEngineView.cpp
 )

=== debian/changelog ===
privacybrowser (0.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:06 +1100

privacybrowser (0.5-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:32:34 +0000

privacybrowser (0.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:  Add additional dictionaries to suggests.
  * debian/NEWS:  Add bookmarks toolbar position explanation.

 -- Soren Stoutner <soren@stoutner.com>  Thu, 12 Oct 2023 10:17:03 -0700

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: privacybrowser
-Maintainer: Soren Stoutner <soren@stoutner.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Soren Stoutner <soren@stoutner.com>
 Section: web
 Priority: optional
 # pkg-kde-tools is required to use `--with kf5` in debian/rules.
@@ -38,9 +39,15 @@
  hunspell-de-at,
  hunspell-de-ch,
  hunspell-de-de,
+ hunspell-en-med,
  hunspell-eu,
  hunspell-ko,
- hunspell-lv
+ hunspell-lv,
+ myspell-da,
+ myspell-de-de-1901,
+ myspell-eo,
+ myspell-es,
+ myspell-fo
 Description: web browser that respects your privacy
  Privacy Browser is a web browser based on Qt WebEngine with a focus on privacy
  and security. Features like JavaScript and cookies are disabled by default but

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment below to enable verbose build messages.
#export DH_VERBOSE = 1

# Enable all build hardening flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	# `--with kf5` does not compress index.docbook, which is how KDE likes it.
	dh $@ --with kf5

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ https://download.stoutner.com/privacybrowser-pc/privacybrowser-(.+).tar.xz

## privacybrowser 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
 #
-# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
+# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
 #
 # Privacy Browser PC is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
+# Copyright 2022-2024 Soren Stoutner <soren@stoutner.com>.
 #
 # This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
 #
@@ -18,7 +18,9 @@
 
 # List the sources to include in the executable.
 target_sources(privacybrowser PRIVATE
+    DevToolsWebEngineView.cpp
     DraggableTreeView.cpp
     PrivacyWebEngineView.cpp
     TabWidget.cpp
+    UrlLineEdit.cpp
 )

=== debian/changelog ===
privacybrowser (0.6-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog:  Update my email address from soren@stoutner.com to
    soren@debian.org now that I am a Debian Developer.
  * debian/control:
    - Update my email address to be soren@debian.org.
    - Add Provides: www-browser.
    - Add additional dictionaries that now ship .bdic binary dictionaries to
      Suggests.
    - Bump standards-version to 4.7.0 (no changes).
    - Reformat for readability.
  * debian/copyright:
    - Update my email address for Debian contributions.
    - Update copyright year to include 2024.
    - Add entries for filter lists and loading.gif.
  * debian/rules:  Add build hardening flags.

 -- Soren Stoutner <soren@debian.org>  Mon, 15 Jul 2024 14:29:49 -0700

=== debian/control ===
Source: privacybrowser
Maintainer: Soren Stoutner <soren@debian.org>
Section: web
Priority: optional
# pkg-kde-tools is required to use `--with kf5` in debian/rules.
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf5completion-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5xmlgui-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtwebengine5-dev
Standards-Version: 4.7.0
Homepage: https://www.stoutner.com/privacy-browser-pc/
Vcs-Git: https://salsa.debian.org/sorenstoutner/privacybrowser.git
Vcs-Browser: https://salsa.debian.org/sorenstoutner/privacybrowser
Rules-Requires-Root: no

Package: privacybrowser
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         khelpcenter
Suggests: hunspell-af,
          hunspell-an,
          hunspell-be,
          hunspell-bg,
          hunspell-bn,
          hunspell-bs,
          hunspell-ca,
          hunspell-cs,
          hunspell-da,
          hunspell-de-at,
          hunspell-de-at-frami,
          hunspell-de-ch,
          hunspell-de-ch-frami,
          hunspell-de-de,
          hunspell-de-de-frami,
          hunspell-el,
          hunspell-en-gb,
          hunspell-en-med,
          hunspell-en-za,
          hunspell-eo,
          hunspell-es,
          hunspell-eu,
          hunspell-gd,
          hunspell-gl,
          hunspell-gu,
          hunspell-gug,
          hunspell-he,
          hunspell-hi,
          hunspell-hr,
          hunspell-hu,
          hunspell-id,
          hunspell-is,
          hunspell-it,
          hunspell-kmr,
          hunspell-ko,
          hunspell-lo,
          hunspell-lt,
          hunspell-lv,
          hunspell-mn,
          hunspell-no,
          hunspell-ne,
          hunspell-oc,
          hunspell-pl,
          hunspell-pt-br,
          hunspell-pt-pt,
          hunspell-ro,
          hunspell-ru,
          hunspell-si,
          hunspell-sk,
          hunspell-sl,
          hunspell-sr,
          hunspell-sv,
          hunspell-sw,
          hunspell-te,
          hunspell-th,
          hunspell-tr,
          hunspell-uk,
          hunspell-vi,
          myspell-da,
          myspell-de-de-1901,
          myspell-eo,
          myspell-es,
          myspell-fo
Provides: www-browser
Description: web browser that respects your privacy
 Privacy Browser is a web browser based on Qt WebEngine with a focus on privacy
 and security. Features like JavaScript and cookies are disabled by default but
 are easy to automatically enable on-the-fly or by domain.

## privacybrowser 0.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
+# Copyright 2022-2024 Soren Stoutner <soren@stoutner.com>.
 #
 # This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
 #
@@ -13,7 +13,7 @@
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.
+# along with Privacy Browser PC.  If not, see <https://www.gnu.org/licenses/>.
 
 
 # Set the minimum CMake version.
@@ -42,14 +42,15 @@
 include(ECMQtDeclareLoggingCategory)
 include(FeatureSummary)
 
+# Disable forcing of PIE, which appears to cause problems with Ubuntu's build system.  <https://bugs.launchpad.net/ubuntu/+source/privacybrowser/+bug/2078732>
 # Include the Position Independent Executable checker.  <https://cmake.org/cmake/help/latest/policy/CMP0083.html>
-include(CheckPIESupported)
+#include(CheckPIESupported)
 
 # Check to see if Position Independent Executable is supported in the current linker and environment.
-check_pie_supported()
+#check_pie_supported()
 
 # Add the Position Independent Executable compiler flag if it is supported in the current linker and environment.  <https://cmake.org/cmake/help/latest/variable/CMAKE_POSITION_INDEPENDENT_CODE.html>
-set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)
+#set(CMAKE_POSITION_INDEPENDENT_CODE TRUE)
 
 # Load the Qt components.
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS

=== doc/CMakeLists.txt ===
# Copyright 2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.

# Create the documentation.
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR privacybrowser)

# Install extra graphic files (the automatic installer doesn't pick up .gif files).
install(FILES loading.gif DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en/privacybrowser)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
+# Copyright 2022-2024 Soren Stoutner <soren@stoutner.com>.
 #
-# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
+# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
 #
 # Privacy Browser PC is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -45,6 +45,11 @@
     uis/DurableCookiesDialog.ui
     uis/EditBookmarkDialog.ui
     uis/EditFolderDialog.ui
+    uis/FilterEntryDialog.ui
+    uis/FilterListsDialog.ui
+    uis/HttpAuthenticationDialog.ui
+    uis/RequestDetailDialog.ui
+    uis/RequestsDialog.ui
     uis/SaveDialog.ui
     uis/SettingsGeneral.ui
     uis/SettingsPrivacy.ui

=== src/ui.rcs/CMakeLists.txt ===
# Copyright 2022 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# Install Privacy Browser's RC (Runtime Configuration) files.
install(FILES
    browserwindowui.rc
    DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/privacybrowser)

=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,7 @@
 target_sources(privacybrowser PRIVATE
     DevToolsWebEngineView.cpp
     DraggableTreeView.cpp
+    PrivacyWebEnginePage.cpp
     PrivacyWebEngineView.cpp
     TabWidget.cpp
     UrlLineEdit.cpp

=== src/windows/CMakeLists.txt ===
# Copyright 2022-2023 Soren Stoutner <soren@stoutner.com>.
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc>.
#
# Privacy Browser PC is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Privacy Browser PC is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Privacy Browser PC.  If not, see <http://www.gnu.org/licenses/>.


# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    BrowserWindow.cpp
)

=== debian/changelog ===
privacybrowser (0.6.2-1~bpo12+2) bookworm-backports; urgency=medium

  * Add debian/patches/hardcode-dictionary-path.patch for compatibility with
    qtwebengine-opensource-src 5.15.17+dfsg2-3~bpo12+1.

 -- Soren Stoutner <soren@debian.org>  Wed, 22 Jan 2025 16:01:03 -0700

privacybrowser (0.6.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Mon, 07 Oct 2024 14:14:02 -0700

privacybrowser (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Debian/copyright:  Improve short wording and layout of licenses.
  * debian/upstream/metadata:  Add name to security contact email address.

 -- Soren Stoutner <soren@debian.org>  Mon, 30 Sep 2024 15:28:12 -0700

privacybrowser (0.6.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Tue, 27 Aug 2024 10:16:37 -0700

privacybrowser (0.6.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update the Vcs-Git and Vcs-Browser URLs to point to my new Salsa name.
    - Suggest hunspell-kk.

 -- Soren Stoutner <soren@debian.org>  Wed, 21 Aug 2024 10:21:51 -0700

privacybrowser (0.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Soren Stoutner <soren@debian.org>  Mon, 22 Jul 2024 11:27:16 -0700

privacybrowser (0.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/control:  Explicitly depend on qtwebengine5-dev >=
    5.15.15+dfsg-2~bpo12+2.
  * debian/copyright:  Update debian/* copyright year to include 2024.

 -- Soren Stoutner <soren@stoutner.com>  Mon, 08 Jan 2024 18:57:00 -0700

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
                libkf5xmlgui-dev,
                pkg-kde-tools,
                qtbase5-dev,
-               qtwebengine5-dev
+               qtwebengine5-dev (>= 5.15.17+dfsg-3~bpo12+1)
 Standards-Version: 4.7.0
 Homepage: https://www.stoutner.com/privacy-browser-pc/
-Vcs-Git: https://salsa.debian.org/sorenstoutner/privacybrowser.git
-Vcs-Browser: https://salsa.debian.org/sorenstoutner/privacybrowser
+Vcs-Git: https://salsa.debian.org/soren/privacybrowser.git
+Vcs-Browser: https://salsa.debian.org/soren/privacybrowser
 Rules-Requires-Root: no
 
 Package: privacybrowser
@@ -64,6 +64,7 @@
           hunspell-id,
           hunspell-is,
           hunspell-it,
+          hunspell-kk,
           hunspell-kmr,
           hunspell-ko,
           hunspell-lo,

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,16 @@
 # Enable all build hardening flags.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Export the DPKG default build flags.
+DPKG_EXPORT_BUILDFLAGS = 1
+
+# Include the default build flags.  <https://wiki.debian.org/Hardening#dpkg-buildflags>
+include /usr/share/dpkg/buildflags.mk
+
+# Append the CPPFLAGS to the standard CFLAGS and CXXFLAGS variables, which is how CMake likes it.  <https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake>
+CFLAGS += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
+
 %:
 	# `--with kf5` does not compress index.docbook, which is how KDE likes it.
 	dh $@ --with kf5

## privacybrowser 0.7

=== CMakeLists.txt ===
# SPDX-License-Identifier: GPL-3.0-or-later
# SPDX-FileCopyrightText: 2022-2024 Soren Stoutner <soren@stoutner.com>
#
# This file is part of Privacy Browser PC <https://www.stoutner.com/privacy-browser-pc/>.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <https://www.gnu.org/licenses/>.

# Create the executable and add the resources.
add_executable(privacybrowser resources.qrc)

# List the sources to include in the executable.
target_sources(privacybrowser PRIVATE
    main.cpp
)

# Add the Qt logging category.  This will create the `debug.h` header file.
ecm_qt_declare_logging_category(privacybrowser
    HEADER debug.h
    IDENTIFIER PRIVACYBROWSER
    CATEGORY_NAME "privacybrowser"
)

# Include the KConfig controller file.
kconfig_add_kcfg_files(privacybrowser settings/Settings.kcfgc)

# Use KDE Frameworks to handle internationalization of the following UI files.
ki18n_wrap_ui(privacybrowser
    uis/AddBookmarkDialog.ui
    uis/AddFolderDialog.ui
    uis/AddOrEditCookieDialog.ui
    uis/AddTabWidget.ui
    uis/BookmarksDialog.ui
    uis/CookiesDialog.ui
    uis/DomainSettingsDialog.ui
    uis/DurableCookiesDialog.ui
    uis/EditBookmarkDialog.ui
    uis/EditFolderDialog.ui
    uis/FilterEntryDialog.ui
    uis/FilterListsDialog.ui
    uis/HttpAuthenticationDialog.ui
    uis/RequestDetailDialog.ui
    uis/RequestsDialog.ui
    uis/SaveDialog.ui
    uis/SettingsGeneral.ui
    uis/SettingsPrivacy.ui
    uis/SettingsSpellCheck.ui
    uis/TabWidget.ui
)

# Link the following libraries.
target_link_libraries(privacybrowser
    Qt6::Core
    Qt6::Gui
    Qt6::Sql
    Qt6::PrintSupport
    Qt6::Widgets
    Qt6::WebEngineCore
    Qt6::WebEngineWidgets
    KF6::Completion
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::Crash
    KF6::DBusAddons
    KF6::DocTools
    KF6::I18n
    KF6::Notifications
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::XmlGui
)

# Add the subdirectories.
add_subdirectory(databases)
add_subdirectory(delegates)
add_subdirectory(dialogs)
add_subdirectory(filters)
add_subdirectory(helpers)
add_subdirectory(interceptors)
add_subdirectory(ui.rcs)
add_subdirectory(widgets)
add_subdirectory(windows)

# Install Privacy Browser using the default KDE arguments.
install(TARGETS privacybrowser ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# Install Privacy Browser according to the instructions in the desktop file, specifying the permissions.
install(PROGRAMS com.stoutner.privacybrowser.desktop DESTINATION ${KDE_INSTALL_APPDIR} PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)

# Install the metadata file.
install(FILES com.stoutner.privacybrowser.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# Install the notifyrc file.
install(FILES privacybrowser.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

# Install the standard icons.
ecm_install_icons(ICONS icons/sc-apps-privacybrowser.svg DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/16-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/22-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/24-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/32-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/48-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/64-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/128-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/256-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/512-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})
ecm_install_icons(ICONS icons/1024-apps-privacybrowser.png DESTINATION ${KDE_INSTALL_ICONDIR})

# Install the symbolic icon (used by Gnome).
install(FILES icons/privacybrowser-symbolic.svg DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/symbolic/apps/)

=== debian/changelog ===
privacybrowser (0.7-3) unstable; urgency=medium

  * Add debian/gbp.conf to enforce pristine-tar and sign-tags.
  * Add debian/lrc.config to hid lrc false positives.
  * Add debian/patches/hardcode-dictionary-path.patch.
  * debian/salsa-ci.yml:  Update to match curent recommended contents.

 -- Soren Stoutner <soren@debian.org>  Thu, 26 Dec 2024 09:47:40 -0700

privacybrowser (0.7-2) unstable; urgency=medium

  * debian/control:  Remove unneeded build dependency on qtbase5-dev.

 -- Soren Stoutner <soren@debian.org>  Mon, 16 Dec 2024 12:01:03 -0700

privacybrowser (0.7-1) unstable; urgency=medium

  * debian/control:
    - Update Build-Depends for KF6.
    - Suggest hunspell-fr as it now ships .bdic files.
  * debian/lintian-overrides:  Removed obsolete "desktop-entry-lacks-keywords-
    entry".
  * debian/manpages:  Add a comment explaining the purpose of the file.
  * debian/rules:  Update dh to build "--with kf6".
  * debian/salsa-ci.yml:  Add file with default entries.

 -- Soren Stoutner <soren@debian.org>  Wed, 11 Dec 2024 16:09:34 -0700
